Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.javascript
Interface Callable

All Known Subinterfaces:
  Function, RefCallable

All Known Implementing Classes:
  org.mozilla.javascript.BaseFunction, org.mozilla.javascript.Delegator, FunctionObject, Synchronizer

    public interface Callable

Generic notion of callable object that can execute some script-related code upon request with specified values for script scope and this objects.

Method Summary
`java.lang.Object` | `call(Context cx, Scriptable scope, Scriptable thisObj, java.lang.Object[] args)` Perform the call.

Method Detail

### call

    java.lang.Object call(Context cx,
                          Scriptable scope,
                          Scriptable thisObj,
                          java.lang.Object[] args)

  Perform the call.

  Parameters:
    `cx` - the current Context for this thread
    `scope` - the scope to use to resolve properties.
    `thisObj` - the JavaScript `this` object
    `args` - the array of arguments
  Returns:
    the result of the call

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD